## gwydgetenums gwydgetenums — Common enumerations |

## Functions

const GwyEnum * | gwy_graph_curve_type_get_enum ()

## Types and Values

enum | GwyAxisScaleFormat
enum | Gwy3DMovement
enum | Gwy3DProjection
enum | Gwy3DVisualization
enum | Gwy3DViewLabel
enum | GwyUnitsPlacement
enum | GwyHScaleStyle
enum | GwyGraphStatusType
enum | GwyGraphGridType
enum | GwyGraphPointType
enum | GwyGraphCurveType
enum | GwyGraphLabelPosition
enum | GwyGraphModelExportStyle
enum | GwyLayerBasicRangeType
enum | GwyCurveType
enum | GwyCurveChannel
enum | GwyMarkerOperationType
enum | GwyDataViewLayerType
enum | GwyTicksStyle

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

## Functions

### gwy_graph_curve_type_get_enum ()

    const GwyEnum *
    gwy_graph_curve_type_get_enum (void);

Returns GwyEnum for GwyGraphCurveType enum type.

#### Returns

`NULL`-terminated GwyEnum which must not be modified nor freed.

## Types and Values

### enum GwyAxisScaleFormat

Labeled axis tick mark format.

#### Members

GWY_AXIS_SCALE_FORMAT_AUTO | Automatical format. |
GWY_AXIS_SCALE_FORMAT_EXP | Exponential (`scienfitic') format. |
GWY_AXIS_SCALE_FORMAT_INT | Integer format. |

### enum Gwy3DMovement

The type of 3D view change that happens when user drags it with mouse.

#### Members

GWY_3D_MOVEMENT_NONE | View cannot be changed by user. |
GWY_3D_MOVEMENT_ROTATION | View can be rotated. |
GWY_3D_MOVEMENT_SCALE | View can be scaled. |
GWY_3D_MOVEMENT_DEFORMATION | View can be scaled. |
GWY_3D_MOVEMENT_LIGHT | Light position can be changed. |

### enum Gwy3DProjection

3D View projection type.

#### Members

GWY_3D_PROJECTION_ORTHOGRAPHIC | Otrhographic projection. |
GWY_3D_PROJECTION_PERSPECTIVE | Perspective projection. |

### enum Gwy3DVisualization

3D View data visualization type.

#### Members

GWY_3D_VISUALIZATION_GRADIENT | Data are displayed with color corresponding to 2D view. |
GWY_3D_VISUALIZATION_LIGHTING | Data are displayed as an uniform material with some lighting. |
GWY_3D_VISUALIZATION_OVERLAY | Data are displayed with grading and lighting, with colour possibly taken from a differen data field. (Since 2.26) |
GWY_3D_VISUALIZATION_OVERLAY_NO_LIGHT | Data are displayed with grading and lighting, with colour possibly taken from a differen data field. (Since 2.32) |

### enum Gwy3DViewLabel

3D View label type.

#### Members

GWY_3D_VIEW_LABEL_X | X-axis label. |
GWY_3D_VIEW_LABEL_Y | Y-axis label. |
GWY_3D_VIEW_LABEL_MIN | Z-axis bottom label. |
GWY_3D_VIEW_LABEL_MAX | Z-axis top label. |
GWY_3D_VIEW_NLABELS | The number of labels. |

### enum GwyUnitsPlacement

Units placement on a GwyRuler.

#### Members

GWY_UNITS_PLACEMENT_NONE | Units are omitted. |
GWY_UNITS_PLACEMENT_AT_ZERO | Units are placed to major tick at zero, or to the leftmost position of zero is not present. |

### enum GwyHScaleStyle

Options controlling `gwy_table_attach_adjbar()` and `gwy_table_attach_hscale()` behaviour.

#### Members

GWY_HSCALE_DEFAULT | Default label, hscale, spinbutton, and units widget row. Note that the default mapping is linear for hscales but signed square root for adjust bars. |
GWY_HSCALE_LOG | The scale mapping is logarithmic. |
GWY_HSCALE_SQRT | The scale mapping is signed square root. |
GWY_HSCALE_LINEAR | The scale mapping is linear. (Since 2.49) |
GWY_HSCALE_NO_SCALE | There is no hscale/adjust bar. |
GWY_HSCALE_WIDGET | An user-specified widget is used in place of the adjustment control(s). |
GWY_HSCALE_WIDGET_NO_EXPAND | An user-specified widget is used in place of hscale and spinbutton, and it is left-aligned instead of taking all the alloted space. |
GWY_HSCALE_CHECK | The label is actually a check button that controls sensitivity of the row. This is a flag, to be bitwise or-ed with other values. |
GWY_HSCALE_SNAP | The adjust bar snaps to ticks (hscales cannot snap). This is a flag, to be bitwise or-ed with other values. (Since 2.49) |

### enum GwyGraphStatusType

#### Members

GWY_GRAPH_STATUS_PLAIN |  |
GWY_GRAPH_STATUS_XSEL |  |
GWY_GRAPH_STATUS_YSEL |  |
GWY_GRAPH_STATUS_POINTS |  |
GWY_GRAPH_STATUS_ZOOM |  |
GWY_GRAPH_STATUS_XLINES |  |
GWY_GRAPH_STATUS_YLINES |  |

### enum GwyGraphGridType

#### Members

GWY_GRAPH_GRID_NONE |  |
GWY_GRAPH_GRID_AUTO |  |
GWY_GRAPH_GRID_USER |  |

### enum GwyGraphPointType

#### Members

GWY_GRAPH_POINT_SQUARE |  |
GWY_GRAPH_POINT_CROSS |  |
GWY_GRAPH_POINT_CIRCLE |  |
GWY_GRAPH_POINT_STAR |  |
GWY_GRAPH_POINT_TIMES |  |
GWY_GRAPH_POINT_TRIANGLE_UP |  |
GWY_GRAPH_POINT_TRIANGLE_DOWN |  |
GWY_GRAPH_POINT_DIAMOND |  |
GWY_GRAPH_POINT_FILLED_SQUARE |  |
GWY_GRAPH_POINT_DISC |  |
GWY_GRAPH_POINT_FILLED_CIRCLE |  |
GWY_GRAPH_POINT_FILLED_TRIANGLE_UP |  |
GWY_GRAPH_POINT_FILLED_TRIANGLE_DOWN |  |
GWY_GRAPH_POINT_FILLED_DIAMOND |  |
GWY_GRAPH_POINT_TRIANGLE_LEFT |  |
GWY_GRAPH_POINT_FILLED_TRIANGLE_LEFT |  |
GWY_GRAPH_POINT_TRIANGLE_RIGHT |  |
GWY_GRAPH_POINT_FILLED_TRIANGLE_RIGHT |  |
GWY_GRAPH_POINT_ASTERISK |  |

### enum GwyGraphCurveType

Graph curve plotting type.

#### Members

GWY_GRAPH_CURVE_HIDDEN | Curve is invisible. |
GWY_GRAPH_CURVE_POINTS | Curve data is plotted with symbols. |
GWY_GRAPH_CURVE_LINE | Curve data is plotted with a line. |
GWY_GRAPH_CURVE_LINE_POINTS | Curve data is plotted with symbols and a line. |

### enum GwyGraphLabelPosition

#### Members

GWY_GRAPH_LABEL_NORTHEAST |  |
GWY_GRAPH_LABEL_NORTHWEST |  |
GWY_GRAPH_LABEL_SOUTHEAST |  |
GWY_GRAPH_LABEL_SOUTHWEST |  |
GWY_GRAPH_LABEL_USER |  |

### enum GwyGraphModelExportStyle

Graph ASCII export style.

#### Members

GWY_GRAPH_MODEL_EXPORT_ASCII_PLAIN | White-space separated data values, plain description lines and column headers, missing data represented with dashes. |
GWY_GRAPH_MODEL_EXPORT_ASCII_GNUPLOT | White-space separated data values, curves serialised, description lines and column headers prefixed with `#`. |
GWY_GRAPH_MODEL_EXPORT_ASCII_CSV | Semicolon separated data values and column headers, missing data represented as empty columns. |
GWY_GRAPH_MODEL_EXPORT_ASCII_ORIGIN | Presently, the same as the plain format. |
GWY_GRAPH_MODEL_EXPORT_ASCII_IGORPRO | Text wave format of Igor Pro (.itx). (Since 2.36) |
GWY_GRAPH_MODEL_EXPORT_ASCII_POSIX | Flag that can be combined with the other formats, meaning locale-independent C/POSIX format of floating point numbers. (Since 2.26) |
GWY_GRAPH_MODEL_EXPORT_ASCII_MERGED | Flag that can be combined with the other formats (except Igor Pro), requesting multi-column output with a single merged abscissa in the first column. (Since 2.46) |

### enum GwyLayerBasicRangeType

Types of color gradient mapping in GwyLayerBasic.

#### Members

GWY_LAYER_BASIC_RANGE_FULL | Color gradient is uniformly mapped to range from data minimum to maximum. |
GWY_LAYER_BASIC_RANGE_FIXED | Color gradient is uniformly mapped to a fixed range, independent on data. |
GWY_LAYER_BASIC_RANGE_AUTO | Color gradient is uniformly mapped to a range inside which most of data points lie, that is height distribution tails are cut off. |
GWY_LAYER_BASIC_RANGE_ADAPT | Color range is mapped nonuniformly, see `gwy_pixbuf_draw_data_field_adaptive()`. |

### enum GwyCurveType

Curve drawing type in GwyCurve.

#### Members

GWY_CURVE_TYPE_LINEAR | Linear interpolation. |
GWY_CURVE_TYPE_SPLINE | Spline interpolation. |
GWY_CURVE_TYPE_FREE | Free form curve. |

### enum GwyCurveChannel

#### Members

GWY_CURVE_CHANNEL_RED |  |
GWY_CURVE_CHANNEL_GREEN |  |
GWY_CURVE_CHANNEL_BLUE |  |

### enum GwyMarkerOperationType

GwyMarkerBox operation type (for validation).

#### Members

GWY_MARKER_OPERATION_MOVE | Marker is being moved. |
GWY_MARKER_OPERATION_ADD | Marker is being added. |
GWY_MARKER_OPERATION_REMOVE | Marker is being removed. |

### enum GwyDataViewLayerType

GwyDataView layer identification.

#### Members

GWY_DATA_VIEW_LAYER_BASE | Base (bottom) layer. |
GWY_DATA_VIEW_LAYER_ALPHA | Alpha (mask) layer. |
GWY_DATA_VIEW_LAYER_TOP | Top (vector, interactive) layer. |

### enum GwyTicksStyle

Axis ticks style (used in GwyColorAxis).

#### Members

GWY_TICKS_STYLE_NONE | Ticks are not drawn. |
GWY_TICKS_STYLE_CENTER | One tick is drawn at center. |
GWY_TICKS_STYLE_AUTO | A number of automatically chosen ticks are drawn at `round' values. |
GWY_TICKS_STYLE_UNLABELED | Only edge ticks are labelled, interior ticks are drawn but not labelled. (Since 2.44) |
GWY_TICKS_STYLE_UNLABELLED | Alias for `GWY_TICKS_STYLE_UNLABELED`. (Since 2.39) |